Change a tenant member's role (ADMIN/MEMBER)
OWNER role changes are OWNER-only. Cannot strip the tenant’s last OWNER. New role must be ADMIN or MEMBER (OWNER transfer is a separate op).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”memberId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
role
required
string
Responses
Section titled “Responses”Updated
Media typeapplication/json
object
member
object
id
string
role
string
createdAt
string
updatedAt
string
user
object
key
additional properties
any
Invalid role / would remove last OWNER / stale tenant
Media typeapplication/json
object
error
required
Human-readable error message.
string
message
string
Examplegenerated
{ "error": "example", "message": "example"}Not authorized
Media typeapplication/json
object
error
required
Human-readable error message.
string
message
string
Examplegenerated
{ "error": "example", "message": "example"}Needs tenant ADMIN
Media typeapplication/json
object
error
required
Human-readable error message.
string
message
string
Examplegenerated
{ "error": "example", "message": "example"}Member not found
Media typeapplication/json
object
error
required
Human-readable error message.
string
message
string
Examplegenerated
{ "error": "example", "message": "example"}